using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Villain.Networking.Packets
{
	public interface IPacket
	{
		Int64 MissingDataLength
		{
			get;
		}
		byte[] ExtraData
		{
			get;
			set;
		}

		byte[] AppendMissingData(byte[] data);
		byte[] GetData();
	}
}